<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

//Para el script entrada-mercancia-gs1-proceso.php que está condicionado y es mixto para varios procesos
$_SESSION['entradaEsDevolucion']=true;
$_SESSION['entradaEsRecepcionCompra']=false;

$gestionProductosRegalo=($_SESSION['parametrosSGA']['ProductosDeRegalo']=='S');

$pedirUbicacion=$_SESSION['seleccionUbicacionEntrada'];

if($_GET['NumAlbaran']) $_SESSION['entradaDevolucion']['NumAlbaran']=$_GET['NumAlbaran'];
if($_GET['IdDevolucion']) $_SESSION['entradaDevolucion']['IdDevolucion']=$_GET['IdDevolucion'];

//REINICIO DATOS DE PANTALLA INTERIOR 
unset( $_SESSION['producto'] );
unset( $_SESSION['lecturasGS1'] );
unset( $_SESSION['lecturasTemporalesGS1'] );
unset( $_SESSION['lecturasTotales'] );

unset( $_SESSION['entradaPaletActual'] );
unset( $_SESSION['entradaPaletActualTipo'] );
unset( $_SESSION['entradaPaletActualEsChep'] );
unset( $_SESSION['entradaPaletActualUbicacion'] );

unset( $_SESSION['entradaUbicacionActual'] );

unset( $_SESSION['ubicacionPaletEntradaAutomatizar'] );



$continuar=true;

if($_GET['traza']=='si') {
	echo '<p>Traza 1</p>';
	echo '<p>confirmarLecturasParcial: '.$_POST['confirmarLecturasParcial'].'</p>';
	echo '<p>confirmarCierreDevolucion: '.$_POST['confirmarCierreDevolucion'].'</p>';
}

if( $_POST['confirmarLecturasParcial']=='1' ||  $_POST['confirmarCierreDevolucion']=='1' ) {

	if( $_POST['confirmarLecturasParcial']=='1' ) {

		//WSConfirmarLecturaParcial(EMP,tipoDoc,numDoc,Devolucion,Almacen,Usuario)
		//WSConfirmarLecturaParcial#PXCOT#ALBARAN#24000022#1#3#PMO
		
		$peticion='WSConfirmarLecturaParcial#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['entradaDevolucion']['NumAlbaran'].'#'.$_SESSION['entradaDevolucion']['IdDevolucion'].'#'.$_SESSION['almacen'].'#'.$_SESSION['usuario']['Usuario'];
		
	}
	else if( $_POST['confirmarCierreDevolucion']=='1' ) {
	
		//WSCierreDevolucion(EMP,tipoDoc,numDoc,Devolucion)
		$peticion='WSCierreDevolucion#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['entradaDevolucion']['NumAlbaran'].'#'.$_SESSION['entradaDevolucion']['IdDevolucion'].'#'.$_SESSION['usuario']['Usuario'];
		
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='1') {
		?>
		<script>
			alert('ERROR: <?php echo convierteSaltosBr($valores[1]); ?>',null,'error');
        </script>
        <?php
	}
	else{
		
		?>
		<script>
			alert('<?php echo convierteSaltosBr($valores[1]); ?>',null,'ok')
			.done(function(){
			
				<?php if($_POST['confirmarCierreDevolucion']=='1') { ?>
					<?php $continuar=false; ?>
					$('#popupCargando').show();
					window.location='entradas-devolucion.php';
				<?php } else { ?>
					<?php //En el caso que sea un cierre parcial, se queda en la orden, para poder pararla (aunque no tenga que hacerse nada mas) ?>
				<?php } ?>
				
			});
        </script>
        <?php
	}

}

if($continuar) {

	/*

	//Recargamos listado para VOLVER a obtener los datos generales
	$peticion='WSGetDevolucionesPendientes#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['almacen'].'#'.$_SESSION['usuario']['Usuario'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	foreach($resultado as $item) {
		if($item['IdDevolucion']==$_SESSION['entradaDevolucion']['IdDevolucion'] && $item['NumAlbaran']==$_SESSION['entradaDevolucion']['NumAlbaran']) $devolucion=$item;
	}
	
	
	
	$_SESSION['entradaDevolucion']['bloqueada']=($devolucion['EstaBloqueada']=='S' && $devolucion[UsuarioQueBloquea]!=$_SESSION['usuario']['Usuario'] );
	$_SESSION['entradaDevolucion']['iniciada']=($devolucion['EstaBloqueada']=='S' && $devolucion[UsuarioQueBloquea]==$_SESSION['usuario']['Usuario'] );
	
	*/
	
	

	$peticion='WSGetProductosPendientesDevolucion#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['entradaDevolucion']['NumAlbaran'].'#'.$_SESSION['entradaDevolucion']['IdDevolucion'].'#'.$_SESSION['almacen'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$devolucion=$resultado[0]['DatosDevolucion']['PXMobileProxiumResult'];
	
	//echo '<hr>';
	//print_r($devolucion);
	//echo '<hr>';
	
	$_SESSION['entradaDevolucion']['bloqueada']=($devolucion['EstaBloqueada']=='S' && $devolucion['UsuarioQueBloquea']!=$_SESSION['usuario']['Usuario'] );
	$_SESSION['entradaDevolucion']['iniciada']=($devolucion['EstaBloqueada']=='S' && $devolucion['UsuarioQueBloquea']==$_SESSION['usuario']['Usuario'] );
	
	if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

		?>
        <div class="estilosOP"  style="padding-bottom:60px">
		
		<h2>Entrada por devolución</h2>
        
        <input type="hidden" name="modoLectura" id="modoLectura" value="<?php echo $_SESSION['modoslecturaEntradaDevolucion'][ $_SESSION['entradaDevolucion']['NumAlbaran'] ]; ?>" />
		
		<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
			<tr>
			  <th>Título</th>
			  <th>Cliente</th>
			  <th>Albarán</th>
			  <th>Nº devolución</th>
				<th>Fecha devolución</th>
			</tr>
			<tr>
			  <td><?php echo $devolucion['TituloDevolucion']; ?></td>
			  <td><?php echo $devolucion['NombreCliente']; ?></td>
			  <td><?php echo $devolucion['NumAlbaran']; ?></td>
			  <td><?php echo $devolucion['IdDevolucion']; ?></td>
                <td><?php echo fechaNacional(fechaDesdeProxium($devolucion['FechaCreacionDevolucion'])); ?></td>
            </tr>
		</table>
        <?php
	
		if($_SESSION['entradaDevolucion']['bloqueada']) {
		
			?><p class="error">ERROR: Entrada bloqueada por el usuario <?php echo $devolucion['UsuarioQueBloquea']; ?> </p><?php
		}
		else {
	
			?>
			
			<div id="popupModoLecturaEntrada" class="popup" style="display:none;">
				<div class="popupContenido" id="popupModoLecturaEntradaContenido">
				  <h2 style="margin:50px 0 30px 0">Selecciona el modo de selección de artículos:</h2>
				  <input type="hidden" name="gestionaIninicio" id="gestionaInicio" value="" />
				  <table style="margin:0 auto;font-size:1.5em">
						<tr><td align="left"><label><input id="modoLecturaP" name="modoLectura" type="radio" value="L" class="checkGrande" <?php if($_SESSION['modoslecturaEntradaDevolucion'][ $_SESSION['entradaDevolucion']['NumAlbaran'] ]=='L') { ?>checked<?php } ?>/> <span style="vertical-align:20%">A partir del listado</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-L.png" class="entradaModoIconoSelector" /></td></tr>
						<tr><td align="left"><label><input id="modoLecturaC" name="modoLectura" type="radio" value="C" class="checkGrande" <?php if($_SESSION['modoslecturaEntradaDevolucion'][ $_SESSION['entradaDevolucion']['NumAlbaran'] ]=='C') { ?>checked<?php } ?>/> <span style="vertical-align:20%">A partir lecturas de códigos de barras</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-C.png" class="entradaModoIconoSelector" /></td></tr>
						 <tr><td align="left"><label><input id="modoLecturaM" name="modoLectura" type="radio" value="M" class="checkGrande" <?php if($_SESSION['modoslecturaEntradaDevolucion'][ $_SESSION['entradaDevolucion']['NumAlbaran'] ]=='M') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Selección mixta</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-M.png" class="entradaModoIconoSelector" /></td>
						 </tr>
				  </table>
				  <p><input type="button" name="botonModoLecturaAceptar" id="botonModoLecturaAceptar" value="ACEPTAR" class="boton"/></p>
				  <p><input type="button" name="botonModoLecturaCancelar" id="botonModoLecturaCancelar" value="Cancelar" class="boton reducido"/></p>
				</div>
			</div>
			
			
			
			
			<div id="popupRegalos" class="popup" style="display:none"></div>
			<div id="popupRegalosContenido" class="popupContenidoScroll" style="display:none"></div>
			
			<?php
				
			$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosPendientes']);
			$_SESSION['productosLeidos']=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosLeidos']);
			$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($resultado[0]['DetallePalets']);
			
			$_SESSION['paletsConProductos']=array();
			foreach($_SESSION['productosLeidos'] as $producto) {
				$_SESSION['paletsConProductos'][]=$producto['CodigoPalet'];
			}
			
			if(count($_SESSION['productos'])>0) {
			
				?>
				<h3>Productos que pueden recepcionarse de este albarán:</h3>  
				
				<table class="tablaFormateada anchoMaximo">
				
					<tr>
						<?php if(!$_SESSION['entradaDevolucion']['bloqueada']) { ?>
						<th>Iniciar</th>
						<?php } ?>
						<th>Código</th>
						<th>Descripción</th>
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
						<?php } ?>
						<th>Cantidad<br />en albarán</th>
						<th>Formato</th>
						<th>Leído en<br />entrada actual</th>
						<th>Confirmado<br />entradas<br />anteriores</th>
						<?php if($gestionProductosRegalo) { ?>
						<th>Regalos</th>
						<?php } ?>
					</tr>
			
					<?php
					
					foreach($_SESSION['productos'] as $producto) {
					
						$cadenaNumerosSerie='';
						$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
						foreach($numerosSerie as $numero) {
							if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
							$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
						}
						?>
						
						<tr class="lineaDevolucion" NLinea="<?php echo $producto['NLinea']; ?>">
	
							<?php if(!$_SESSION['entradaDevolucion']['bloqueada']) { ?>
							<td>
								<input name="iniciar-<?php echo $producto['NLinea']; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar-<?php echo $producto['NLinea']; ?>" codigo="<?php echo $producto['Codigo']; ?>" NLinea="<?php echo $producto['NLinea']; ?>"/>
							</td>
							<?php } ?>
							
							<td><?php echo $producto['Codigo']; ?></td>
							<td align="left"><?php echo $producto['Descripcion']; ?></td>
							
							<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
								<?php if($comportamiento['Activo']=='S') { ?>
									<td>
										<?php
											if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
												?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
											}
											else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
											else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
										?>								</td> 
								<?php } ?>
							<?php } ?>
							
							<td align="right"><?php echo formateaNumeroDecimal($producto['Cantidad'],true); ?></td>
							<td align="center"><?php echo $producto['Formato']; ?></td>
							<td align="right"><?php echo formateaNumeroDecimal($producto['CantidadLeida'],true); ?></td>
							<td align="right"><?php echo formateaNumeroDecimal($producto['CantidadConfirmada'],true); ?></td>
							<?php if($gestionProductosRegalo) { ?>
							<td>
								<?php if($producto['Regalos'] || $producto['CantidadRegalo']) { ?>
								
									<?php
									$cadenaRegalos='';
									if($producto['Regalos']) {
										foreach(arreglaArrayPXMobileProxiumResult($producto['Regalos']) as $regalo) {
											if($cadenaRegalos!='') $cadenaRegalos.='|';
											$cadenaRegalos.=$regalo['Cantidad'].'¬'.$regalo['Codigo'].'¬'.$regalo['Descripcion'].'¬'.$regalo['UDdeRegalo'];
										}
									}
									?>
									<img
									src="<?php echo DIR_IMAGENES; ?>/palet-info.png"
									width="50"
									height="50"
									class="iconoRegalos clicable"
									<?php if($producto['Regalos']) { ?>regalos="<?php echo $cadenaRegalos; ?>"<?php } ?>
									<?php if($producto['CantidadRegalo']) { ?>
									CantTotalProductoEnLaOrden="<?php echo $producto['CantTotalProductoEnLaOrden']; ?>"
									cantidadRegalo="<?php echo $producto['CantidadRegalo']; ?>"
									<?php } ?>
									/>
								
								<?php } ?>						</td>
							<?php } ?>
						</tr>
						
					<?php }  //Fin foreach productos ?>
				</table>
			
			<?php } //Fin si hay productos en el listado principal ?>
			
			
			<form id="formularioCierre" name="formularioCierre" method="post" action="">
			
			
			<?php if(count($_SESSION['productosLeidos'])>0) { ?>
			
				<?php $totalCantidad=0; ?>
                <?php $totalCajas=0; ?>
               
                <h3>Productos leídos parcialmente en esta entrada, listos para confirmar:</h3>  
                
                <table class="tablaFormateada anchoMaximo">
                
                    <tr>
                        <th>Código</th>
                        <th>Descripción</th>
                        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                            <?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                        <?php } ?>
                        
                        <th>Cantidad</th>
                        <th>Formato</th>
                        
                        <th>Palet</th>
                        <?php if($pedirUbicacion) { ?>
                        <th>Ubicación</th>
                        <?php } ?>
                        
                        <?php if($gestionProductosRegalo) { ?>
                        <th>Regalos</th>
                        <?php } ?>
                        
                    </tr>
            
                    <?php foreach($_SESSION['productosLeidos'] as $producto) { ?>
					
					<tr>
					
						<td><?php echo $producto['Codigo']; ?></td>
						<td align="left"><?php echo $producto['Descripcion']; ?></td>
						
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						
							<?php if($comportamiento['Activo']=='S') { ?>
								<td>
									<?php
										if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
										else if($comportamiento['NombreSQL']=='NumSerie') echo $producto['NumeroSerie']; //20-10-2023
										else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
									?>
								</td> 
							<?php } ?>
						<?php } ?>
						
						<td align="right"><?php echo formateaNumeroDecimal($producto['CantidadLeida'],true); ?></td>
						<td align="center"><?php echo $producto['Formato']; ?></td>
						
						<td align="center"><?php echo $producto['CodigoPalet']; ?></td>
						
						<?php if($pedirUbicacion) { ?>
						<td align="center"><?php echo $producto['Ubicacion']; ?></td>
						<?php } ?>
						
						<?php if($gestionProductosRegalo) { ?>
						<td>
							<?php if($producto['Regalos'] || $producto['CantidadRegalo']) { ?>
								
								<?php
								$cadenaRegalos='';
								if($producto['Regalos']) {
									foreach(arreglaArrayPXMobileProxiumResult($producto['Regalos']) as $regalo) {
										if($cadenaRegalos!='') $cadenaRegalos.='|';
										$cadenaRegalos.=$regalo['Cantidad'].'¬'.$regalo['Codigo'].'¬'.$regalo['Descripcion'].'¬'.$regalo['UDdeRegalo'];
									}
								}
								?>
								<img
								src="<?php echo DIR_IMAGENES; ?>/palet-info.png"
								width="50"
								height="50"
								class="iconoRegalos clicable"
								<?php if($producto['Regalos']) { ?>regalos="<?php echo $cadenaRegalos; ?>"<?php } ?>
								<?php if($producto['CantidadRegalo']) { ?>
								CantTotalProductoEnLaOrden="<?php echo $producto['CantTotalProductoEnLaOrden']; ?>"
								cantidadRegalo="<?php echo $producto['CantidadRegalo']; ?>"
								<?php } ?>
								/>
								
							<?php } ?>
						</td>
						<?php } ?>
						
				</tr>
					
				<?php }  //Fin foreach productos ?>
                </table>
			
            	<?php if($_SESSION['entradaDevolucion']['iniciada']) { ?>
			
                    <p><input type="button" id="botonConfirmarLecturasParcial" name="botonConfirmarLecturasParcial" value="Confirmar lecturas parciales" class="boton"/></p>
                    <input type="hidden" id="confirmarLecturasParcial" name="confirmarLecturasParcial" value="" />
                    
                     <p><input type="button" id="botonCancelarLecturasParciales" name="botonCancelarLecturasParciales" value="Cancelar lecturas" class="boton"/></p>
                    
                <?php } ?>
				
				
			<?php } //Fin si hay productos en el listado leidos ?>
			
			<?php if($_SESSION['entradaDevolucion']['iniciada']) { ?>
			
			<p><input type="button" id="botonCierreDevolucion" name="botonCierreDevolucion" value="Cierre devolución" class="boton <?php if(count($_SESSION['productosLeidos'])>0) { ?>deshabilitado<?php } ?>"/></p>
			<input type="hidden" id="confirmarCierreDevolucion" name="confirmarCierreDevolucion" value="" />
				
			<?php } ?>
			
			</form>
			
			
			
			
			
			<script>
			
			function gestionaInicio(){
			
				$('#popupCargando').show();
					
				var parametros='';
				var modoLectura=$('#modoLectura').val();
				
				//Primero miramos si hay check de inicio
				$('.selectorInicio').each( function(){
					if( $(this).is(":checked") ) parametros='NLinea='+$(this).attr('NLinea')+'&codigo='+$(this).attr('codigo');
				});
				
				if( modoLectura=='L' && parametros=='') {
					
					$('#popupModoLecturaEntrada').hide();
					$('#popupCargando').hide();
					alert('El modo de selección de artículos actual es por selección directa.<br><br>Selecciona un ítem del listado para proceder.',null,'advertencia');
				
				}
				else {
				
					<?php if($_SESSION['entradaDevolucion']['iniciada']) { ?>
					
						window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?procedencia=devolucion&'+parametros;
					
					<?php } else { ?>
				
						$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-devolucion-iniciar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" )
						.done(function(data) {
						
							var resultado=data.split('#');
							if(resultado[0]==1) {
								$('#popupCargando').hide();
								alert('Error: '+resultado[1]);
							}
							else {
							
								window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?procedencia=devolucion&'+parametros;
								
							}
						
						});
				
					<?php } ?>

				}
				
			}
			
			function enviarFormularioBotones() {
			
				$('#popupCargando').show();
				$('#formularioCierre').submit();
			
			}
			
			$(document).ready(function() {
			
				$('#botonCancelarLecturasParciales').on('click',function(){
				
					$('#popupCargando').show();
					window.location='entrada-devolucion-liberar.php';
				
				});
			
				$('#botonConfirmarLecturasParcial').on('click',function(){
				
					confirm('Se va a proceder a la confirmación parcial de la devolución<br>y se generará un albarán de entrada con los productos leidos.<br><br>¿Deseas continuar?','informacion')
					.done(function(){
						
						$('#confirmarLecturasParcial').val(1);
						$('#popupCargando').show();
						enviarFormularioBotones();
						
					});
					
				});
				
				$('#botonCierreDevolucion').on('click',function(){
				
					<?php if(count($_SESSION['productosLeidos'])>0) { ?>
					
					alert('ATENCION: No se puede cerrar la devolución si todavía quedan productos pendientes de confirmar en lecturas anteriores.',null,'error');
					
					<?php } else { ?>
				
					confirm('Se va a proceder al cierre definitivo de la devolución<br>y no podrán recepcionarse más productos.<br><br>¿Deseas continuar?','informacion')
					.done(function(){
						
						$('#confirmarCierreDevolucion').val(1);
						$('#popupCargando').show();
						enviarFormularioBotones();
						
					});
					
					<?php } ?>
					
				});
				
				<?php if($gestionProductosRegalo) { ?>
				
				//GESTION POPUP REGALOS
			
				$('.iconoRegalos').on('click',function(){
				
					$('#popupCargando').show();
					
					var regalos=$(this).attr('regalos');
					var cantidad=$(this).attr('CantTotalProductoEnLaOrden');
					var cantidadRegalo=$(this).attr('cantidadRegalo');
					
					var posicionIcono=$(this).position();
					posicionIcono=parseInt(posicionIcono.top);
					
					$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-regalos.php?regalos' , { 'regalos' : regalos , 'cantidad' : cantidad , 'cantidadRegalo' : cantidadRegalo } )
					.done(function(data) {
					
						$('#popupRegalosContenido').html(data);
						
						var posicionScroll = parseInt($('html').scrollTop());
						var posicionMover= posicionScroll + (posicionIcono*0.25);
						$('#popupRegalosContenido').css('top',posicionMover);
						
						$('#popupRegalos').show();
						$('#popupRegalosContenido').show();
						
						$('#popupCargando').hide();
						
					});
					
				});
				
				$(document).on('click','#botonCerrarRegalos',function(){
				
					$('#popupRegalosContenido').html('');
				
					$('#popupRegalos').hide();
					$('#popupRegalosContenido').hide();
				
				});
				
				<?php } ?>
	
			
				////////// MODOS DE LECTURA
		
				$('#botonModoLecturaAceptar').on('click',function(e){
					
					var modoSeleccionado=$('input:radio[name=modoLectura]:checked').val();
					
					if ( modoSeleccionado ) {
						$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-devolucion-selectorModoLectura-grabar.php" , { 'modoSeleccionado' : modoSeleccionado } )
						.done(function(data) {
						
							$('#modoLectura').val( modoSeleccionado );
							
							if( $('#gestionaInicio').val()==1 && modoSeleccionado!='M' ) {
								gestionaInicio();
							}
							else {
								$('#popupModoLecturaEntrada').hide();
							}
							
						});
					}
					else alert('Por favor, especifica el modo de selección para esta devolución.',null,'error');
				});
				
				$('#botonModoLecturaCancelar').on('click',function(e){
					$('#popupModoLecturaEntrada').hide();
				});
				
				$('#botonModoLectura').on('click',function(e){
					$('#popupModoLecturaEntrada').show();
				});
				
				////////// FIN modos de lectura
				
				
				
				$('#botonLectura').on("click",function(e){
		
					var modoLectura=$('#modoLectura').val();
					
					//20-06-2022 tarea 45839
					//Comprobar si no hay modo lectura y hay check, poner el modo L por defecto
					if( !modoLectura) {
						var hayCheck=false;
						$('.selectorInicio').each( function(){
							if( $(this).is(":checked") ) hayCheck=true;
						});
						if(hayCheck) {
							modoLectura='L';
							$('#modoLectura').val(modoLectura);
							
							$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-devolucion-selectorModoLectura-grabar.php" , { 'modoSeleccionado' : modoLectura } );
						}
					}
					
					if( !modoLectura ) {
					
						$('#popupCargando').hide();
						$('#popupModoLecturaEntrada').show();
						$('#gestionaInicio').val(1)
							
					}
					else gestionaInicio();
		
				});
					
				$('.selectorInicio').on("click",function(){
					if( $('#modoLectura').val()=='C' ) {
						alert('El modo de selección actual es por código de barras,<br>no se permite la selección directa.',null,'error');
						$(this).prop('checked',false); 
					}
					else {
						
						var NLinea=$(this).attr('NLinea');
						var valorActual=$('#iniciar-'+NLinea).prop('checked');
						
						console.log('ha hecho click: '+NLinea+' valor actual: '+valorActual);
						
						$('.selectorInicio').prop('checked',false);
						$('#iniciar-'+NLinea).prop('checked',valorActual);
					
					}
				});
				
				$('.lineaDevolucion').on('click',function(){
					var NLinea=$(this).attr('NLinea');
					var valorActual=$('#iniciar-'+NLinea).prop('checked');
					$('.selectorInicio').prop('checked',false);
					$('#iniciar-'+NLinea).prop('checked',valorActual);
					
				});
			
			});
			
			</script>
	
			
	
		<?php } //Fin de si no está bloqueada por otro usuario ?>
        
        </div> <!-- classe estilosOP -->
        
        <?php
		
	} //Fin no hay error en listado proveedores con compras pendientes
	else {
		?><p>No hay ningún producto pendiente en ese albarán.</p><?php
	}

} //Fin if continuar


if(isset($modoLecturaRecepcionCompraMostrarMenu)) $mostrarModoLectura=$modoLecturaRecepcionCompraMostrarMenu; else $mostrarModoLectura=true;
$noMostrarInfo=true;
include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-devolucion.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>